package com.muchinfo.mtp3century.service;

import com.muchinfo.mtp3century.utils.AjaxResult;
import com.muchinfo.mtp3common.vo.PageResult;
import com.muchinfo.mtp3pojos.vo.presale.*;

import javax.servlet.http.HttpServletRequest;

public interface IPresaleService {
    PageResult<PresaleQueryResult> query(PresaleQueryParam param, HttpServletRequest request);

    AjaxResult<PresaleQueryDetailResult> view(String applyid, HttpServletRequest request);

    AjaxResult<PresalePresaleLotteryResult> viewPresaleLottery(Long goodsid, HttpServletRequest request);

    AjaxResult<PresaleFinishResult> viewfinsh(Long goodsid, HttpServletRequest request);

    AjaxResult lottery(Long goodsid, Integer lotteryqty,HttpServletRequest request);

    AjaxResult<PresaleQueryResult> complatesView(Long goodsid, HttpServletRequest request);

    AjaxResult<PresaleFinishInitAddResult> getAccountIds(Long goodsid, HttpServletRequest request);

    AjaxResult saveComplates(PresaleComplatesParam param, HttpServletRequest request);

    PageResult<PresaleApplyResult> queryApply(PresaleApplyParam param, HttpServletRequest request);

    AjaxResult<PresaleApplyResult> applyView(String applyid, HttpServletRequest request);

    AjaxResult save(PresaleApplyAddParam param, HttpServletRequest request);

    AjaxResult<PresaleApplyAddInitResult> saveInit(HttpServletRequest request);
}
